Finalize Installation
POST
https://api.vercel.com/v1/installations/{integrationConfigurationId}/billing/finalizeThis endpoint allows the partner to mark an installation as finalized. This means you will not send any more invoices for the installation. Use this after a customer has requested uninstall and you have sent any remaining invoices. This will allow the uninstall process to proceed immediately after all invoices have been paid.
Use the
Use the
credentials.access_token we provided in the Upsert Installation body to authorize this request.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { await vercel.marketplace.finalizeInstallation({ integrationConfigurationId: "<id>", });
}
run();Response
{}AuthorizationbearerToken
Default authentication mechanism